#include <iostream.h>
#include <stdlib.h>
#include <math.h>
#include "../real.h"

int main (int argc, char *argv[]) {

  int bitcount_tablelen = (int)pow(2.0,10);
  int *bitcount_lut = new int [bitcount_tablelen];
  for (int i=0; i<bitcount_tablelen; ++i) {
        bitcount_lut[i] = 0;
        int q = i;
        for (int bit=0; bit<10; ++bit) {
                bitcount_lut[i] += q & 0x1;
                q >>= 1;
        }
  }

  // test
  int n = atoi(argv[1]);
  cout << "Integer " << n << " has " << bitcount_lut[n] << " bits" << endl;

}

